Package: org.codehaus.groovy.ast.expr

## [Java] Class MethodPointerExpression

- org.codehaus.groovy.ast.expr.MethodPointerExpression

- Represents a method pointer on an object such as foo.&bar which means find the method pointer on foo for the method called "bar" which is equivalent to `foo.metaClass.getMethodPointer(foo, "bar")`

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MethodPointerExpression (Expression expression, Expression methodName)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Expression` | `getExpression()`
    `` | `Expression` | `getMethodName()`
    `` | `String` | `getText()`
    `` | `ClassNode` | `getType()`
    `` | `Class` | `getTypeClass()`
    `` | `boolean` | `isDynamic()`
    `` | `Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, equals, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, getText, hashCode, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public MethodPointerExpression(Expression expression, Expression methodName)

  - ### Method Detail

    - #### public Expression getExpression()

    - #### public Expression getMethodName()

    - #### public String getText()

    - #### public ClassNode getType()

    - #### public Class getTypeClass()

    - #### public boolean isDynamic()

    - #### public Expression transformExpression(ExpressionTransformer transformer)

    - #### public void visit(GroovyCodeVisitor visitor)